vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 2
声望: 0

个股期权接口SOPT连接总是报错Decrypt handshake data failed(命令行的输出如下图),应该怎么解决呢?是不是API版本不符的问题呢?
CTP接口连接的测试和生产是有两个不同的API版本,貌似SOPT的测试和生产也是需要两个版本的,请问现在vnpy的SOPT接口用的是什么版本的API呢?如果我我需要更新或者替换API版本需要怎么做呢?
感谢!
description

Administrator
avatar
加入于:
帖子: 2146
声望: 99

4097是版本不符导致的问题,需要自行编译底层接口了,位于vnpy/api/sopt目录中

Member
avatar
加入于:
帖子: 2
声望: 0

请问有没有关于编译底层接口的教程或者文档呢?

用Python的交易员 wrote:

4097是版本不符导致的问题,需要自行编译底层接口了,位于vnpy/api/sopt目录中

Administrator
avatar
加入于:
帖子: 2146
声望: 99

知乎专栏里有些比较老的教程,新的我们只有小班课提供

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3